aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErik Schnetter <schnetter@cct.lsu.edu>2007-11-07 12:44:18 -0600
committerErik Schnetter <schnetter@cct.lsu.edu>2007-11-07 12:44:18 -0600
commit1b3d97bf80828ab82f7b1006d4fa9848e5689edc (patch)
tree4e50c03227f812489f244660b8d25ea1a8f1c073
parente60ba9d22635fdf440f0d6cc7be5eafb1677facd (diff)
Abort code generation script on errors
-rwxr-xr-xm/McLachlan.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/m/McLachlan.sh b/m/McLachlan.sh
index 7f095c1..760b31d 100755
--- a/m/McLachlan.sh
+++ b/m/McLachlan.sh
@@ -4,6 +4,9 @@
# It re-generates the Cactus thorns trees and copies them if they have
# changed.
+# Abort on errors
+set -e
+
MATHEMATICA="/Applications/Mathematica.app/Contents/MacOS/MathKernel"
# Remove old output
@@ -27,5 +30,5 @@ fi
./copy-if-changed.sh ML_BSSN ../ML_BSSN
echo
-echo "The Cactus thorns have been successfully regenerated."
+echo "The Cactus thorns have been regenerated successfully."
echo